package com.el.ui.graphicserver;

import java.awt.BasicStroke;
import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.Rectangle;
import java.awt.RenderingHints;
import java.awt.Shape;
import java.awt.image.BufferedImage;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.ProduceMime;
import javax.ws.rs.QueryParam;

@Path("/")
@ProduceMime("image/png")
public class Renderer {

    @GET
    public BufferedImage draw(@QueryParam("s") Shape s) {
        BufferedImage image = new BufferedImage(50 + 3, 50 + 3, BufferedImage.TYPE_INT_ARGB);

        Graphics2D g = image.createGraphics();
        g.setRenderingHint(RenderingHints.KEY_ANTIALIASING, RenderingHints.VALUE_ANTIALIAS_ON);

        if (true) { // fill color is specified
            g.setColor(Color.BLUE);
            g.fill(new Rectangle(15, 15, 25, 25));
        }

        g.setColor(Color.RED);
        g.setStroke(new BasicStroke(3));
        g.draw(new Rectangle(0, 0, 25, 25));

        return image;
    }
}
