package com.el.ui.graphicserver.provider.entity;

import java.awt.Rectangle;
import java.awt.Shape;
import java.io.IOException;
import java.io.InputStream;
import java.lang.annotation.Annotation;
import java.lang.reflect.Type;
import javax.ws.rs.WebApplicationException;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.MultivaluedMap;
import javax.ws.rs.ext.MessageBodyReader;
import javax.ws.rs.ext.Provider;

@Provider
public class ShapeProvider implements MessageBodyReader<Shape> {

    public ShapeProvider() {
    }

    @Override
    public boolean isReadable(Class<?> type, Type genericType, Annotation[] annotations) {
        System.out.println("Checking");
        return Shape.class.isAssignableFrom(type);
    }

    @Override
    public Shape readFrom(Class<Shape> type, Type genericType, Annotation[] annotations,
            MediaType mediaType, MultivaluedMap<String, String> httpHeaders, InputStream entityStream)
            throws IOException, WebApplicationException {
        System.out.println("Testing");
        return new Rectangle(50, 50);
    }
}
